/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/. */


var EXPORTED_SYMBOLS = ["loadDefaultPrefs"];

const Cc = Components.classes;
const Ci = Components.interfaces;
const Cu = Components.utils;

Cu.import("resource://gre/modules/Services.jsm");


let loadedPaths = {};

function loadDefaultPrefs(prefsPath)
{
    if (prefsPath in loadedPaths)
        return;
    
    if (Services.prefs.getPrefType('extensions.savefileto@mozdev.org.folderVariables') == 32)
        return;
    
    let defaultPrefs = Services.prefs.getDefaultBranch("");
    let scope = {};
    scope.pref = function(key, value)
    {
        switch (typeof(value))
        {
            case "boolean":
                defaultPrefs.setBoolPref(key, value);
                break;
            case "number":
                defaultPrefs.setIntPref(key, value);
                break;
            case "string":
                defaultPrefs.setStringPref(key, value);
                break;
        }
    };
    
    Services.scriptloader.loadSubScript(prefsPath, scope);
    loadedPaths[prefsPath] = true;
}
